[Pkg-haskell-commits] [SCM] haskell-testpack branch, master, updated. debian/1.0.2-1-4-gb0d6b36

John Goerzen jgoerzen at complete.org
Fri Apr 23 15:16:46 UTC 2010


The following commit has been merged in the master branch:
commit 303e915b2f37a2c87909638f0c7eba4f7ac55eb5
Author: John Goerzen <jgoerzen at complete.org>
Date:   Sun Dec 3 09:20:03 2006 +0100

    Fix bugs

diff --git a/renameit.sh b/renameit.sh
index 4b917c2..09cd5fd 100644
--- a/renameit.sh
+++ b/renameit.sh
@@ -19,7 +19,7 @@ sedname () {
 }
 
 OLDFN=$(mod2fn "${OLDNAME}")
-NEWFN=$(mod2fn "${NEWNAME}")
+NEWFN=src/$(mod2fn "${NEWNAME}")
 NEWDIR=$(mod2destdir "${NEWNAME}")
 echo "Old module name:     ${OLDNAME}"
 echo "New module name:     ${NEWNAME}"
@@ -28,8 +28,8 @@ echo "New module file:     ${NEWFN}"
 echo "New module dir:      ${NEWDIR}"
 
 mkdir -p ${NEWDIR}
+darcs add --recursive src || true
 darcs mv ${OLDFN} ${NEWFN}
-darcs add --recursive src
 
 for FILE in \
         MissingH.cabal \

-- 
haskell-testpack



More information about the Pkg-haskell-commits mailing list